---
layout: docs
page_title: 'Commands: acl binding-rule update'
description: The binding-rule update command is used to update existing ACL Binding Rules.
---

# Command: acl binding-rule update

The `acl binding-rule update` command is used to update existing ACL Binding Rules.

## Usage

```plaintext
nomad acl binding-rule update [options] <binding-rule_ID>
```

The `acl binding-rule update` command requires an existing rule's ID.

## General Options

@include 'general_options_no_namespace.mdx'

## Update Options

- `-description`: A free form text description of the binding-rule that must not exceed
  256 characters.

- `-selector`: Selector is an expression that matches against verified identity
  attributes returned from the binding rule during login.

- `-bind-type`: Specifies adjusts how this binding rule is applied at login time
  to internal Nomad objects. Valid options are `role`, `policy`, and `management`.

- `-bind-name`: Specifies is the target of the binding used on selector match.
  This can be lightly templated using HIL `${foo}` syntax. If the bind type is
  set to `management`, this should not be set.

- `-json`: Output the ACL binding-rule in a JSON format.

- `-t`: Format and display the ACL binding-rule using a Go template.

## Examples

Update an existing ACL binding rule:

```shell-session
$ nomad acl binding-rule update -description "new description" dc0e494d-0878-4e56-37d4-482e371e5bdb
ID           = dc0e494d-0878-4e56-37d4-482e371e5bdb
Description  = new description
Auth Method  = auth0
Selector     = "engineering in list.roles"
Bind Type    = role
Bind Name    = engineering-ro
Create Time  = 2022-12-20 11:17:40.483196 +0000 UTC
Modify Time  = 2022-12-20 11:23:30.355439 +0000 UTC
Create Index = 17
Modify Index = 25
```
